#include <X11/Xlib.h>
#include <svideo.h>
#include <stdio.h>

extern int svideo_errno;

main()
{
  SVhandle vd;
  svCaptureInfo varg;
  void* frame;
  int result,k;

  vd = svOpenVideo();
  printf("\nVideo ID: %d Error:%d", vd, svideo_errno);
  svPerror(svStrerror(svideo_errno));
  if (!vd) {
    printf("Exiting...\n");
    exit(0);
  }

  svSetSize(vd, 176, 144);
  printf("\nSetSize result: %d ");
  svPerror(svStrerror(svideo_errno));
  
  varg.format = SV_YUV411_FRAMES;
  varg.width = 176;
  varg.height = 144;
  varg.size = 1;
  varg.samplingrate = 10;
  
  svInitContinuousCapture(vd, &varg);

  
  k=0;
  while (k<10) {
    k++;
    result=svGetCaptureData(vd, &frame, NULL);
    svPerror(svStrerror(svideo_errno));
    printf("result of svGetCaptureData: %d\n", result);
    if (frame!=NULL) break;
    sginap(1);
  }

  printf("Data captured, pointer= %d\n", (int)frame);

  result = svUnlockCaptureData(vd, frame);
  printf("result of svUnclockCaptureData: %d\n", result);
  svCloseVideo(vd);
  
  
}
